=== debian/changelog ===
zbackup (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for big-endian architectures
    Add upstream patch at
    https://github.com/zbackup/zbackup/compare/1.2...master
    Closes: #735558

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 12:04:05 +0000

zbackup (1.2-1) unstable; urgency=low

  * Initial release (Closes: #717443)

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 27 Aug 2013 12:38:22 +0800
