=== debian/control ===
Source: zbackup
Section: admin
Priority: optional
Maintainer: Howard Chan <smartboyhw@gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.2), libssl-dev,
               libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://zbackup.org
#Vcs-Git: git://git.debian.org/collab-maint/zbackup.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/zbackup.git;a=summary

Package: zbackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Versatile deduplicating backup tool
 Uses a 64-bit modified Rabin-Karp rolling hash for data deduplication,
 and SHA256 for backup integrity check.
 .
 Also features LZMA compression & AES encryption.
