## zbackup 1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Copyright (c) 2012-2013 Konstantin Isakov <ikm@zbackup.org>
-# Part of ZBackup. Licensed under GNU GPLv2 or later
+# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org>
+# Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE
 
 cmake_minimum_required( VERSION 2.8.2 )
 project( zbackup )
