=== debian/changelog ===
zbackup (1.4.4-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:56:09 +0000

zbackup (1.4.4-3) unstable; urgency=medium

  * Build with LZO compression support (closes: #870776).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Aug 2017 22:13:29 +0000

zbackup (1.4.4-2) unstable; urgency=low

  * Generalize watch file.
  * Update Standards-Version to 3.9.8 .

  [ Tiago Ilieve <tiago.myhro@gmail.com> ]
  * Add 'fix_version_string.patch':
    - The binary was reporting itself as '1.4.3' because upstream forgot to
    bump the version when made a new release.
  * Convert README.md to HTML (Debian Policy Manual § 12.4 "Preferred
    documentation formats"):
    - Add 'debian/clean', update 'debian/docs'.
    - Add 'remove_external_travisci_img.patch' to avoid fetching an external
    image when accessing the README.html.
  * debian/control:
     - Add 'discount' ('mkd2html' command) to build dependencies.
  * debian/rules:
    - Add hardening (fixes 'hardening-no-pie' and 'hardening-no-bindnow').
    - Add 'override_dh_auto_build' for building the HTML documentation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Nov 2016 19:09:40 +0000

zbackup (1.4.4-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Jan 2016 18:05:48 +0100

zbackup (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Dec 2014 07:33:17 +0000
