=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: zbackup
 Section: admin
 Priority: optional
-Maintainer: Howard Chan <smartboyhw@gmail.com>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.2), libssl-dev,
-               libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), cmake (>= 2.8.2), libssl-dev,
+ libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev,
+ liblzo2-dev, discount
+Standards-Version: 4.0.0
 Homepage: http://zbackup.org
 #Vcs-Git: git://git.debian.org/collab-maint/zbackup.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/zbackup.git;a=summary
