=== debian/changelog ===
zbackup (1.5-4) unstable; urgency=medium

  * Fix compilation with GCC 15 (closes: #1098196):
    - make ObjectsIteratorComp operator const,
    - explicitly define std::string where needed.
  * Add NEWS entry that this package may disappear at any time.
  * Update copyright file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Sep 2025 17:04:03 +0200

zbackup (1.5-3) unstable; urgency=medium

  * Set minimal CMake version to 3.5 (closes: #1113657).
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Sep 2025 16:47:32 +0200

zbackup (1.5-2) unstable; urgency=medium

  * Don't use no longer present second argument of SetTotalBytesLimit() in
    Protobuf.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jun 2022 19:48:49 +0200

zbackup (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove deprecated throw specifications (closes: #984415).
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Nov 2021 11:58:21 +0100
