=== debian/control ===
Source: zbackup
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.2), libssl-dev,
 libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev,
 liblzo2-dev, discount
Standards-Version: 4.7.2
Homepage: https://github.com/davidbartonau/zbackup

Package: zbackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Versatile deduplicating backup tool
 Uses a 64-bit modified Rabin-Karp rolling hash for data deduplication,
 and SHA256 for backup integrity check.
 .
 Also features LZMA compression & AES encryption.
